Bug 1005048 - Weld warnings during CDI bootstrap
Weld warnings during CDI bootstrap
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER3
: ---
Assigned To: Gary Brown
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 02:26 EDT by Jiri Pechanec
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-09-06 02:26:55 EDT
See warnings in server.log

08:04:30,393 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.activity.server.jee.JEEActivityServer._store
08:04:30,394 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent @Any private org.overlord.rtgov.internal.activity.server.jee.JEEActivityServer._injectedNotifiers                                                                                                                                                                                                                                                                      
08:04:30,397 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.active.collection.jee.ACManagement._acManager       
08:04:30,399 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.activity.server.epn.EPNActivityNotifier._epnManager          
08:04:30,401 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.switchyard.EventProcessorManager._activityCollector 
08:04:30,403 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.activity.collector.AbstractActivityCollector._collectorContext
08:04:30,404 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.activity.collector.AbstractActivityCollector._activityLogger
08:04:30,404 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.activity.collector.AbstractActivityCollector._infoProcessorManager
08:04:30,405 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.activity.collector.AbstractActivityCollector._activityValidatorManager
08:04:30,406 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.activity.client.jee.JEEClientManager._activityCollector
08:04:30,407 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.activity.client.jee.JEEClientManager._informationProcessorManager
08:04:30,407 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.activity.client.jee.JEEClientManager._activityValidatorManager
08:04:30,411 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.internal.epn.jee.jmx.EPNManagement._epnManager
08:04:30,413 WARN  [org.jboss.weld.Bootstrap] (MSC service thread 1-1) WELD-001440 Scope type @javax.enterprise.context.Dependent() used on injection point [field] @Inject @Dependent private org.overlord.rtgov.activity.collector.activity.server.ActivityServerLogger._activityServer

@Dependent defines the scope of a bean and is not a qualifier.
Comment 1 Gary Brown 2013-09-06 05:35:57 EDT
Whoops - was added when I was trying to sort out the performance problems for alpha, to get rid of the client proxies.
Comment 2 Jiri Pechanec 2013-09-24 03:20:52 EDT
Verified in ER3

Note You need to log in before you can comment on or make changes to this bug.